# ------------------------------------------------------------------- 
# ws-lib.pl - WebSupport Common Functions Library
# ------------------------------------------------------------------- 

sub check_url {
	if ($ENV{'HTTP_REFERER'}) {
        foreach $referer (@referers) {
            if ($ENV{'HTTP_REFERER'} =~ m|https?://([^/]*)$referer|i) {
                $check_referer = 1;
                last;
            }
        }
    } else {
        $check_referer = 1;
    }

    if ($check_referer != 1) {
		error_page("Illegal Operation. You're calling this script from another server");
	}
}

sub lock_file {
	my $lock = 2;
	flock($_[0], $lock);
}

sub error_page {
	my $template;
    my $message = shift;
    
	open (TEMPLATE, "$error_page_tpl") || error_page("<li>Can't open template file");
	while (<TEMPLATE>) {
			$template .= $_;
	}
	close (TEMPLATE);

	$template =~ s/\[VERSION NUMBER\]/$version_no/egs;
	$template =~ s/\[ERROR MESSAGE\]/$message/egs;

	print "Content-type: text/html\n\n";
	print "$template";
	exit(0);
}

1;